Bug 250687 - Incomplete Obsoletes -> broken dependencies!
Summary: Incomplete Obsoletes -> broken dependencies!
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Matthew Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-02 21:23 UTC by Michael Schwendt
Modified: 2008-06-17 02:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 02:05:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2007-08-02 21:23:48 UTC
wxGTK attempts at obsoleting compat-wxGTK, but doesn't obsolete
the sub-packages. Rawhide update fails, Fedora 7 is affected, too:

[...]
---> Package libgsf.i386 0:1.14.5-1.fc8 set to be updated
---> Package NetworkManager-gnome.i386 1:0.6.5-7.fc8 set to be updated
--> Processing Dependency: compat-wxGTK = 2.4.2-21.fc6 for package: compat-wxGTK-gl
--> Processing Dependency: compat-wxGTK = 2.4.2-21.fc6 for package: compat-wxGTK-xrc
--> Processing Dependency: compat-wxGTK = 2.4.2-21.fc6 for package: compat-wxGTK-stc
--> Finished Dependency Resolution
Error: Unresolveable requirement compat-wxGTK = 2.4.2-21.fc6 for compat-wxGTK-gl
Error: Unresolveable requirement compat-wxGTK = 2.4.2-21.fc6 for compat-wxGTK-xrc
Error: Unresolveable requirement compat-wxGTK = 2.4.2-21.fc6 for compat-wxGTK-stc

This has been in the Fedora 7 broken deps report for more
two weeks (all archs):

    compat-wxGTK-devel-2.4.2-21.fc6.i386  requires  compat-wxGTK = 0:2.4.2-21.fc6
    compat-wxGTK-devel-2.4.2-21.fc6.i386  requires  libwx_gtk-2.4.so.0
    compat-wxGTK-gl-2.4.2-21.fc6.i386  requires  compat-wxGTK = 0:2.4.2-21.fc6
    compat-wxGTK-stc-2.4.2-21.fc6.i386  requires  compat-wxGTK = 0:2.4.2-21.fc6
    compat-wxGTK-xrc-2.4.2-21.fc6.i386  requires  compat-wxGTK = 0:2.4.2-21.fc6

Suggested fix: Either obsolete all sub-packages properly, or
don't obsolete compat-wxGTK* at all.

Comment 1 Matthew Miller 2007-08-03 00:38:27 UTC
Doh.

I hadn't noticed it in deps report because compat-wxGTK isn't my package.

I'll fix this first thing tomorrow morning. (Moving to f7 because I think it's a
bit more urgent on the released distro, but I'll fix it on both.)

Comment 2 Matthew Miller 2007-08-03 17:30:23 UTC
Hey, can you take a quick look at

http://koji.fedoraproject.org/koji/buildinfo?buildID=12746

and make sure I haven't made things worse?

I'm not really all that excited by having wxGTK obsolete the compat packages,
but I'm also not sure how else to cleanly get rid of them, and also Spot said to
do it. :)

Comment 3 Michael Schwendt 2007-08-03 19:20:16 UTC
The Obsoletes seem to be complete this time.

But do realise that obsoleting compat-* packages (with a
non-constant %version-%release like it is done here) blocks
their re-entry, as it is impossible to reintroduce them into
the same package namespace. You obsolete a much higher %version
than necessary. Fortunately, wxGTK 2.6.x is called compat-wxGTK26-*

> I'm also not sure how else to cleanly get rid of them

"Cleanly"? Generally, it's impossible in case a user has
installed packages which depend on them.


Comment 4 Bug Zapper 2008-05-14 13:50:49 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2008-06-17 02:04:58 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.